## pt2-clone 1.57+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(pt2-clone)

find_package(SDL2 REQUIRED)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${pt2-clone_SOURCE_DIR}/release/other/")

file(GLOB pt2-clone_SRC
    "${pt2-clone_SOURCE_DIR}/src/*.c"
    "${pt2-clone_SOURCE_DIR}/src/gfx/*.c"
)

add_executable(pt2-clone ${pt2-clone_SRC})

target_include_directories(pt2-clone SYSTEM
    PRIVATE ${SDL2_INCLUDE_DIRS})

if("${SDL2_LIBRARIES}" STREQUAL "")
    message(WARNING "SDL2_LIBRARIES wasn't set, manually setting to SDL2::SDL2")
    set(SDL2_LIBRARIES "SDL2::SDL2")
endif()

target_link_libraries(pt2-clone
    PRIVATE m ${SDL2_LIBRARIES})

install(TARGETS pt2-clone
    RUNTIME DESTINATION bin)

## pt2-clone 1.04

=== debian/changelog ===
pt2-clone (1.04-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add Recommends field, update Suggests.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 30 Jan 2020 09:18:28 +0100

pt2-clone (1.03-1) unstable; urgency=medium

  * New upstream version.
  * Update Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Jan 2020 09:28:56 +0100

pt2-clone (1.02-1) unstable; urgency=medium

  * New upstream version.
  * New source url.
  * d/watch: added.
  * Rename source and binary package to match upstream.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 20 Dec 2019 09:11:28 +0100

protracker (2.b37-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 26 Nov 2019 12:08:09 +0100

protracker (2.b35-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Nov 2019 14:19:11 +0100

protracker (2.b34-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 06 Nov 2019 09:16:40 +0100

protracker (2.b30-1) unstable; urgency=medium

  * New upstream version.
  * d/changelog: re-version to upstream versioning.
  * Bump standards version to 4.4.0.
  * Add cmake, dh-exec to build-depends.
  * d/copyright: relicensed to bsd 3-clause.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 08 Oct 2019 16:35:51 +0200

protracker (2.3d.r191-1) unstable; urgency=medium

  * New upstream version. (Closes: #926998)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Aug 2019 17:17:19 +0200

protracker (2.3d.r188-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 09 Jul 2019 20:30:45 +0200

protracker (2.3d.r176-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.3.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Apr 2019 14:14:10 +0200

protracker (2.3d.r171-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 30 Mar 2019 13:55:32 +0100

protracker (2.3d.r161-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 11:51:01 +0100

protracker (2.3d.r155-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 10 Jan 2019 13:00:54 +0100

protracker (2.3d.r154-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 30 Dec 2018 13:29:41 +0100

protracker (2.3d.r153-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 28 Dec 2018 16:58:02 +0100

protracker (2.3d.r147-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 27 Nov 2018 12:56:19 +0100

protracker (2.3d.r146-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Nov 2018 13:22:58 +0100

protracker (2.3d.r144-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 06 Nov 2018 09:28:51 +0100

protracker (2.3d.r140-1) unstable; urgency=medium

  * New upstream version.
  * Add AppData file.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 10 Oct 2018 15:24:50 +0200

protracker (2.3d.r137-2) unstable; urgency=medium

  * debian/protracker.desktop: updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Sep 2018 13:48:31 +0200

protracker (2.3d.r137-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: updated.
  * Updated homepage urls.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 28 Aug 2018 11:00:10 +0200

protracker (2.3d.r134-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: update description.
  * debian/protracker.desktop, and protracker.fr.1: add french
    translation. Thanks Olivier <trebmuh@tuxfamily.org>

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 14 Aug 2018 14:05:52 +0200

protracker (2.3d.r130-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 06 Aug 2018 15:41:21 +0200

protracker (2.3d.r122-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 09 Jul 2018 15:48:58 +0200

protracker (2.3d.r116-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 23 May 2018 15:35:17 +0200

protracker (2.3d.r112-1) unstable; urgency=medium

  * New upstream version.
  * debian/README.source: updated.
  * Bump debhelper version to 4.1.4.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 16 May 2018 16:35:11 +0200

protracker (2.3d.r109-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 27 Mar 2018 09:57:05 +0200

protracker (2.3d.r107-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 23 Mar 2018 11:23:11 +0100

protracker (2.3d.r92-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 4.1.3.
  * Bump standards version to 11.
  * debian/README.Debian: renamed to README.source.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 04 Feb 2018 19:15:50 +0100

protracker (2.3d.r80-1) unstable; urgency=medium

  * New upstream version.
  * debian/README.Debian: added.
  * Bump standards version to 4.1.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 10 Nov 2017 14:25:03 +0100

protracker (2.3d.r57-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.0.0.
  * Bump debhelper version to 10.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 14 Sep 2017 11:10:52 +0200

protracker (2.3d.r10-1) unstable; urgency=medium

  * New upstream release.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Apr 2017 17:18:20 +0200

protracker (2.3d-1) unstable; urgency=medium



=== debian/control ===
Source: pt2-clone
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libsdl2-dev, cmake, dh-exec
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone
Homepage: https://16-bits.org/pt.php

Package: pt2-clone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: opencubicplayer, modplug-tools
Suggests: hivelytracker, milkytracker, cheesecutter, bambootracker, schism, klystrack
Replaces: protracker (<< 2.b37+really1.02-1)
Breaks: protracker (<< 2.b37+really1.02-1)
Description: Music tracker clone of ProTracker 2 for modern computers
 Multi-platform clone of the classic music making software
 "ProTracker" (version 2) from the Commodore Amiga days.
 Aims to work exactly like you remember it, with added features and
 fixes.

Package: protracker
Architecture: all
Section: oldlibs
Priority: optional
Depends: ${misc:Depends}, pt2-clone
Description: transitional dummy package
 This is a transitional dummy package for migration from
 protracker to pt2-clone.
 .
 This package can be safely removed.

## pt2-clone 1.06

=== debian/changelog ===
pt2-clone (1.06-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 08:23:17 +0100

pt2-clone (1.05-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 13 Feb 2020 10:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libsdl2-dev, cmake, dh-exec
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone
 Homepage: https://16-bits.org/pt.php

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/8bitbubsy/pt2-clone/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pt2-clone 1.18+ds

=== debian/changelog ===
pt2-clone (1.18+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 11 Jun 2020 13:09:01 +0200

pt2-clone (1.17+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 29 May 2020 14:29:05 +0200

pt2-clone (1.16-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 24 May 2020 16:03:16 +0200

pt2-clone (1.15-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 May 2020 10:37:38 +0200

pt2-clone (1.12-1) unstable; urgency=medium

  * New upstream version. (Closes: 957718)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 30 Apr 2020 13:09:13 +0200

pt2-clone (1.11-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 28 Apr 2020 10:54:33 +0200

pt2-clone (1.09-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 12 Apr 2020 15:25:35 +0200

pt2-clone (1.08-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 04 Apr 2020 20:48:24 +0200

pt2-clone (1.07-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 18 Mar 2020 14:48:40 +0100

## pt2-clone 1.27+ds

=== debian/changelog ===
pt2-clone (1.27+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: added filemangle for repacking.
  * d/control: drop unneeded Priority field.
  * d/copyright: added Files-Excluded field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 21 Dec 2020 08:59:04 +0100

pt2-clone (1.26+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 01 Dec 2020 16:31:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libsdl2-dev, cmake, dh-exec
+Build-Depends: debhelper-compat (= 13), libsdl2-dev, cmake, dh-exec
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone
 Homepage: https://16-bits.org/pt.php
@@ -25,7 +26,6 @@
 Package: protracker
 Architecture: all
 Section: oldlibs
-Priority: optional
 Depends: ${misc:Depends}, pt2-clone
 Description: transitional dummy package
  This is a transitional dummy package for migration from

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	@echo skip install target

override_dh_gencontrol:
	dh_gencontrol -pprotracker -- -v2.b37+really$(DEB_VERSION)
	dh_gencontrol --remaining-packages

## pt2-clone 1.41+ds

=== debian/changelog ===
pt2-clone (1.41+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 27 Feb 2022 19:06:22 +0100

pt2-clone (1.38+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 30 Dec 2021 22:42:44 +0100

pt2-clone (1.37+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Fri, 29 Oct 2021 13:56:05 +0200

pt2-clone (1.36+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Oct 2021 08:39:43 +0200

pt2-clone (1.33+ds-1) unstable; urgency=medium

  * New upstream version.
  * Upload to unstable.
  * d/control: drop dummy transitional package protracker.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 12:59:33 +0200

pt2-clone (1.31+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Jul 2021 16:59:22 +0200

pt2-clone (1.29+ds-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Apr 2021 12:48:54 +0200

=== debian/control ===
Source: pt2-clone
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, cmake, dh-exec
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone
Homepage: https://16-bits.org/pt.php

Package: pt2-clone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: opencubicplayer, modplug-tools
Suggests: hivelytracker, milkytracker, cheesecutter, bambootracker, schism, klystrack
Description: Music tracker clone of ProTracker 2 for modern computers
 Multi-platform clone of the classic music making software
 "ProTracker" (version 2) from the Commodore Amiga days.
 Aims to work exactly like you remember it, with added features and
 fixes.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,6 @@
 override_dh_auto_install:
 	@echo skip install target
 
-override_dh_gencontrol:
-	dh_gencontrol -pprotracker -- -v2.b37+really$(DEB_VERSION)
-	dh_gencontrol --remaining-packages
+#override_dh_gencontrol:
+#	dh_gencontrol -pprotracker -- -v2.b37+really$(DEB_VERSION)
+#	dh_gencontrol --remaining-packages

## pt2-clone 1.51+ds

=== debian/changelog ===
pt2-clone (1.51+ds-1) unstable; urgency=medium

  * New upstream version 1.51+ds
  * d/protracker.appdata.xml: Change the project license to BSD-3-clause

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 18 Aug 2022 23:08:12 +0200

pt2-clone (1.50+ds-1) unstable; urgency=medium

  * New upstream version 1.50+ds

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jul 2022 17:55:56 +0200

pt2-clone (1.49+ds-1) unstable; urgency=medium

  * New upstream version 1.49+ds
    + Refresh Files-Excluded
  * d/control:
    + Add me as uploader
    + Wrap-and-sort B-Ds and Depends
    + Bump Standards Version to 4.6.1
  * d/copyright: Add myself to the d/ section
  * Remove obsolete d/dirs folder
  * d/rules: Remove unneeded linker flags
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 01 Jun 2022 16:15:37 +0200

pt2-clone (1.46+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Apr 2022 14:38:45 +0200

pt2-clone (1.43+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 17 Mar 2022 13:27:54 +0100

=== debian/control ===
Source: pt2-clone
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>, Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 libsdl2-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone
Homepage: https://16-bits.org/pt.php

Package: pt2-clone
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: modplug-tools, opencubicplayer
Suggests: bambootracker,
          cheesecutter,
          hivelytracker,
          klystrack,
          milkytracker,
          schism
Description: Music tracker clone of ProTracker 2 for modern computers
 Multi-platform clone of the classic music making software
 "ProTracker" (version 2) from the Commodore Amiga days.
 Aims to work exactly like you remember it, with added features and
 fixes.

## pt2-clone 1.57+ds

=== debian/changelog ===
pt2-clone (1.57+ds-1) unstable; urgency=medium

  * New upstream version 1.57+ds
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sat, 28 Jan 2023 23:20:48 +0100

pt2-clone (1.56+ds-1) unstable; urgency=medium

  * New upstream version 1.56+ds
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:26:52 +0100

pt2-clone (1.55+ds-1) unstable; urgency=medium

  * New upstream version 1.55+ds

 -- Dennis Braun <snd@debian.org>  Sun, 11 Dec 2022 22:42:16 +0100

pt2-clone (1.54+ds-1) unstable; urgency=medium

  * New upstream version 1.54+ds

 -- Dennis Braun <snd@debian.org>  Wed, 07 Dec 2022 08:49:06 +0100

pt2-clone (1.53.1+ds-1) unstable; urgency=medium

  * New upstream version 1.53.1+ds
  * Change my email address to snd@debian.org

 -- Dennis Braun <snd@debian.org>  Tue, 29 Nov 2022 08:27:00 +0100

pt2-clone (1.53+ds-1) unstable; urgency=medium

  * New upstream version 1.53+ds

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Oct 2022 17:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>, Dennis Braun <d_braun@kabelmail.de>
+Uploaders: Gürkan Myczko <tar@debian.org>, Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-exec,
  libsdl2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

## pt2-clone 1.60+ds

=== debian/changelog ===
pt2-clone (1.60+ds-1) unstable; urgency=medium

  * New upstream version 1.60+ds

 -- Dennis Braun <snd@debian.org>  Tue, 27 Jun 2023 22:33:02 +0200

pt2-clone (1.59+ds-1) unstable; urgency=medium

  * New upstream version 1.59+ds

 -- Dennis Braun <snd@debian.org>  Wed, 14 Jun 2023 22:33:35 +0200

## pt2-clone 1.61+ds

=== debian/changelog ===
pt2-clone (1.61+ds-1) unstable; urgency=medium

  * New upstream version 1.61+ds

 -- Dennis Braun <snd@debian.org>  Mon, 03 Jul 2023 20:24:04 +0200

## pt2-clone 1.66.1+ds

=== debian/changelog ===
pt2-clone (1.66.1+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:16 +1100

pt2-clone (1.66.1+ds-1build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:58:08 +0000

pt2-clone (1.66.1+ds-1) unstable; urgency=medium

  * New upstream version 1.66.1+ds
    + Exclude some more non gnu/linux files and embedded libflac
  * Build with libflac from debian
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sun, 28 Jan 2024 20:32:38 +0100

pt2-clone (1.65.1+ds-1) unstable; urgency=medium

  * New upstream version 1.65.1+ds

 -- Dennis Braun <snd@debian.org>  Tue, 07 Nov 2023 16:07:21 +0100

pt2-clone (1.64+ds-1) unstable; urgency=medium

  * New upstream version 1.64+ds

 -- Dennis Braun <snd@debian.org>  Fri, 15 Sep 2023 21:46:47 +0200

pt2-clone (1.63+ds-1) unstable; urgency=medium

  * New upstream version 1.63+ds

 -- Dennis Braun <snd@debian.org>  Sun, 03 Sep 2023 18:58:44 +0200

pt2-clone (1.62.2+ds-1) unstable; urgency=medium

  * New upstream version 1.62.2+ds

 -- Dennis Braun <snd@debian.org>  Thu, 17 Aug 2023 20:43:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: pt2-clone
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>, Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-exec,
+ libflac-dev,
  libsdl2-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## pt2-clone 1.69.2+ds

=== debian/changelog ===
pt2-clone (1.69.2+ds-1) unstable; urgency=medium

  * New upstream version 1.69.2+ds
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Fri, 26 Apr 2024 21:08:42 +0200

pt2-clone (1.67+ds-1) unstable; urgency=medium

  * New upstream version 1.67+ds

 -- Dennis Braun <snd@debian.org>  Fri, 22 Mar 2024 21:16:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pt2-clone
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>, Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,

## pt2-clone 1.70+ds

=== debian/changelog ===
pt2-clone (1.70+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 21 Aug 2024 10:27:59 +0000

pt2-clone (1.69.2+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 20:44:33 +0000

## pt2-clone 1.72+ds

=== debian/changelog ===
pt2-clone (1.72+ds-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:38:51 -0500

pt2-clone (1.72+ds-1) unstable; urgency=medium

  * New upstream version 1.72+ds

 -- Dennis Braun <snd@debian.org>  Tue, 31 Dec 2024 14:55:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>, Dennis Braun <snd@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>, Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-exec,
  libflac-dev,
  libsdl2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone

## pt2-clone 1.73+ds

=== debian/changelog ===
pt2-clone (1.73+ds-1) unstable; urgency=medium

  * New upstream version 1.73+ds
  * Bump Standards-Version to 4.7.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Mon, 14 Apr 2025 12:00:40 +0200

## pt2-clone 1.74+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
 cmake_minimum_required(VERSION 3.7)
 
 project(pt2-clone)
+
+option(EXTERNAL_LIBFLAC "use external(system) flac library" OFF)
 
 find_package(SDL2 REQUIRED)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${pt2-clone_SOURCE_DIR}/release/other/")
 
 file(GLOB pt2-clone_SRC
     "${pt2-clone_SOURCE_DIR}/src/*.c"
+    "${pt2-clone_SOURCE_DIR}/src/modloaders/*.c"
+    "${pt2-clone_SOURCE_DIR}/src/smploaders/*.c"
     "${pt2-clone_SOURCE_DIR}/src/gfx/*.c"
 )
 
@@ -22,6 +26,22 @@
 
 target_link_libraries(pt2-clone
     PRIVATE m ${SDL2_LIBRARIES})
+    
+target_compile_definitions(pt2-clone
+    PRIVATE HAS_LIBFLAC)
+    
+if(EXTERNAL_LIBFLAC)
+    find_package(PkgConfig REQUIRED)
+    pkg_check_modules(FLAC REQUIRED IMPORTED_TARGET flac)
+    target_compile_definitions(pt2-clone
+        PRIVATE EXTERNAL_LIBFLAC)
+    target_link_libraries(pt2-clone
+        PRIVATE PkgConfig::FLAC)
+else()
+    file(GLOB flac_SRCS
+        "${pt2-clone_SOURCE_DIR}/src/libflac/*.c")
+    target_sources(pt2-clone PRIVATE ${flac_SRCS})
+endif()
 
 install(TARGETS pt2-clone
     RUNTIME DESTINATION bin)

=== debian/changelog ===
pt2-clone (1.74+ds-1) unstable; urgency=medium

  * New upstream version 1.74+ds
  * Remove obsolete patch

 -- Dennis Braun <snd@debian.org>  Thu, 01 May 2025 00:08:44 +0200

## pt2-clone 1.76+ds

=== debian/changelog ===
pt2-clone (1.76+ds-1) unstable; urgency=medium

  * New upstream version 1.76+ds

 -- Dennis Braun <snd@debian.org>  Fri, 29 Aug 2025 20:15:12 +0200

## pt2-clone 1.78+ds

=== debian/changelog ===
pt2-clone (1.78+ds-1) unstable; urgency=medium

  * New upstream version 1.78+ds

 -- Dennis Braun <snd@debian.org>  Sun, 28 Sep 2025 19:31:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-exec,
  libflac-dev,
  libsdl2-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

CMAKE_OPTS = -DEXTERNAL_LIBFLAC=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_install:
	@echo skip install target

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/8bitbubsy/pt2-clone/tags .*/v?(\d\S*)\.tar\.gz

## pt2-clone 1.80.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 find_package(SDL2 REQUIRED)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${pt2-clone_SOURCE_DIR}/release/other/")
+
+if((CMAKE_CXX_COMPILER_ID MATCHES "Clang") OR (CMAKE_CXX_COMPILER_ID MATCHES "GNU"))
+    add_compile_options(-O3)
+    add_compile_options(-ffast-math)
+endif()
 
 file(GLOB pt2-clone_SRC
     "${pt2-clone_SOURCE_DIR}/src/*.c"

=== debian/changelog ===
pt2-clone (1.80.1+ds-1) unstable; urgency=medium

  * New upstream version 1.80.1+ds
  * Bump Standards-Version to 4.7.3
  * Remove redudant rules-requires-root-no field
  * Update d/watch to version 5

 -- Dennis Braun <snd@debian.org>  Fri, 26 Dec 2025 14:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  dh-exec,
  libflac-dev,
  libsdl2-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/multimedia-team/pt2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pt2-clone
 Homepage: https://16-bits.org/pt.php

=== debian/watch ===
Version: 5
Dversion-Mangle: auto
Repacksuffix: +ds
Template: Github
Owner: 8bitbubsy
Project: pt2-clone
